# 指輪バーチャル試着タスクのステータスを確認します。

Endpoint: GET /s2s/v2.0/task/2d-vto/ring/{task_id}
Security: BearerAuthenticationV2

## Security:

  - `BearerAuthenticationV2` (unknown)
    http bearer

## Path parameters:

  - `task_id` (string, required)
    確認するタスクの ID

## Response 200:

  - `200` (unknown)
    タスクステータスの確認に成功しました

## Response 200 fields (application/json):

  - `url` (string)
    この結果をダウンロードする URL。有効期間は 2 時間です
    Example: https://example.com/sample-result-url

## Response 400:

  - `400` (unknown)
    無効なタスク ID

## Response 400 fields (application/json):

  - `status` (integer)
    レスポンスステータス
    Example: 400

  - `error` (string)
    Example: Invalid task ID

## Response 401:

  - `401` (unknown)
    無効または欠落している API キー

## Response 401 fields (application/json):

  - `status` (integer)
    レスポンスステータス
    Example: 401

  - `error` (string)
    Example: Invalid API key

## Response 500:

  - `500` (unknown)
    タスク実行タイムアウト

## Response 500 fields (application/json):

  - `status` (integer)
    レスポンスステータス
    Example: 500

  - `error` (string)
    Example: Task execution timed out

